body{
        background-color: #FAF0F0;
}

.fade-in{
	animation: fade-in 4s ease-out 1s 1 normal forwards;
}

@keyframes fade-in{
	0%{
		opacity: 0
	}
	100%{
		opacity: 1
	}
}

/* TOGI Meets VC NAGANO TRIDENTSのアニメーション */
.slide-in{
        color: #B94047;
	font-size: 64px;
	font-weight:bold;
        text-align: center;
        text-shadow: 4px 4px 8px rgba(0,0,0,0.3);
        margin-top: 50px;
	animation:fade-in2 2s linear forwards,slideIn 2s ease-in-out 1s;
	/*animation-name,animation-duration,animation-timing-function*/
}
@keyframes slideIn{
	0%{
		transform: translateX(-100%);
		opacity: 0;
	}
	100%{
		transform: translateX(0%);
		opacity: 1;
	}
}

.slide-in2{
        color: #B94047;
	font-size: 40px;
	font-weight: bold;
        text-align: center;
        margin-top: -50px;
        text-shadow: 4px 4px 8px rgba(0,0,0,0.3);
	animation:fade-in2 3.5s linear forwards,slide-in2 2s ease-out 2s;
}
@keyframes slide-in2{
	0%{
		transform: translateX(100%);
		opacity: 0
	}
	100%{
		transform: translateX(0%);
		opacity: 1;
	}
}

.grotte{
	position:relative;
  	width: 100vw;
  	height: 50vh;
	z-index:20;
}

        .run{
		position: absolute;
		animation:fade-in2 4s linear forwards,slide-in 0.4s linear 3.4s forwards,fade-out 0.5s linear 3.8s forwards;
	}

	.jump{
		position: absolute;
		animation:fade-in2 4.5s linear forwards,bounce 0.35s linear 4.1s forwards,fade-out 0.67s linear 4.4s forwards;
	}	


	.shakeOff{
		position:absolute;
		transform: translate(50vw,-14vw);
		animation:fade-in2 5.1s linear forwards,fade-out 0.225s linear 4.9s forwards;
	}
	.shakeOff2{
		position:absolute;
		transform: translate(50vw,-14vw);
		animation:fade-in2 5.1s linear forwards,fade-out 0.2s linear 5.0s forwards;
	}
	.shakeOff3{
		position: absolute;
		transform: translate(50vw,-14vw);
		animation:fade-in2 5.2s linear forwards,fade-out 1s linear 5.5s forwards;
	}	




@keyframes slide-in{
	0%{
		transform: translateX(100vw);
		opacity: 0;
	}
	100%{
		transform: translate(70vw,0);
	}
	50%,100%{
		opacity: 1;
	}
}
@keyframes fade-out{
	0%{
		opacity: 1;
	}
	98%{
		opacity: 1;
	}
	100%{
		opacity: 0;
	}
}

@keyframes bounce{
	0%{
		transform: translate(70vw,0);
		opacity: 0;
	}


	50%{
		transform: translate(60vw,-7vw);
		opacity: 1;
	}


	100%{
		transform: translate(50vw,-14vw);
	}
}

@keyframes clear{
	0%{
		opacity: 0;
	}
	100%{
		opacity: 0;
	}
}

@keyframes fade-in2{
	0%{
		opacity: 0;

	}
	99%{
		opacity: 0;
	}
	100%{
		opacity: 1;
	}
}

@keyframes fade-in3{
	0%{
		opacity: 0;

	}
	99%{
		opacity: 0;
	}
	100%{
		opacity: 1;
	}
}

.ball{
	text-align:center;
	position:relative;
	top:-200px;
	z-index:30;
	animation:fade-in2 5s linear forwards,fade-in4 1.3s linear 3.3s forwards,bounce2 0.5s linear 5.0s 1 forwards,fade-out 1s linear 5.5s forwards;
}
@keyframes fade-in4{
	0%{
		opacity:0;
		transform:translateY(60px);
	}
	100%{
		opacity:1;
		transform:translateY(0);
	}
}

@keyframes bounce2{
	0%{
		transform: translate(-40px,0);
	}
	100%{
	transform: translate(-1800px,1500px);
	}
}

@keyframes poyoyon{
	0%{
		transform:scale(1.0,1.0) translate(0,0);
	}
	15%{
		transform:scale(0.98,0.9) translate(0,5px);
	}
	30%{
		transform:scale(1.02,1.0) translate(0,8px);
	}
	50%{
		transform:scale(0.98,1.05) translate(0,-8px);
	}
	70%{
		transform:scale(0.98,1.05) translate(0,5px);
	}
	100%{
		transform:scale(1.0,1.0) translate(0,0);
	}
	0%,100%{
		opacity:1;
	}
}

@keyframes fade-in3{
	0%{
		opacity:0;
	}
	50%{
		opacity:0;
	}
	100%{
		opacity:1;
	}
}


.player-ck {
  margin-top: -50vh;
  text-align: center;
  font-size: 50px;
  padding: 20px 0 10px;
}

/* 全体 */
.player {
  display: flex;
  justify-content: center;
  gap: 50px;
  padding: 50px;
  align-items: flex-start;
}

/* 選手紹介内容 */
.player-info {
  width: 500px;   /* ←広げる */
  color: black;
  padding: 50px;
}
.player-info h1 {
  margin: 0;
  font-size: 90px;
  margin-top: -150px;
  text-shadow: 4px 4px 8px rgba(0,0,0,0.5);
}

.eng-gt {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
}

.eng {
  font-size: 20px;
  letter-spacing: 2px;
  margin-top: -30px;
  text-shadow: 4px 4px 8px rgba(0,0,0,0.6);
}

/* グロッテ */
.eng-gt img {
  width: 120px;
  height: 120px;
  object-fit: cover;
  margin-top: -150px;
  margin-left: 100px;
  animation: float 3s ease-in-out infinite;
}

@keyframes float {
  0% {
    transform: translateY(0px);
  }
  50% {
    transform: translateY(-10px);
  }
  100% {
    transform: translateY(0px);
  }
}

/* 見出し */
.player-info h2 {
  font-size: 20px;
  border-bottom: 2px solid #B94047;
  padding-bottom: 5px;
  margin-bottom: 10px;

  text-shadow: 2px 2px 4px rgba(0,0,0,0.3);
}

/* 行 */
.row {
  display: flex;
  justify-content: space-between;
  padding: 10px 0;
  border-bottom: 1px solid #B94047;
  font-size: 23px; 

}

/* 中身*/
.label {
  background: linear-gradient(135deg, #F3AB29, #FDEFD7);
  padding: 6px 14px;
  font-weight: bold;
}

.value {
  margin-top: 10px;
  padding: 3px 40px 0px 15px;
}

/* コメント */
.comment {
  margin-top: 30px;
}

.comment p {
  font-size: 18px;
  line-height: 1.8;
}

.comment a {
  color: #B94047;
}


/* 画像2枚 */
.player-image {
  position: relative;
  width: 700px;
  height: 700px;
  cursor: pointer;
  margin-top: 2em;
  overflow: hidden;
}

.player-image img {
  position: absolute; 
  object-fit: contain; 
  transition: opacity 0.5s ease;
}

/* アイコン画像 */
.img01 {
   position: absolute;
  width: 100%;
  height: 100%;
  object-fit: contain;
  opacity: 1;
}

/* 2枚目 */
.img02 {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: contain;
  opacity: 0;

}


.click-hint {
  position: absolute;
  right: 5px;
  bottom: 30px;

  width: 200px;
  height: auto;
  opacity: 0.8;
  pointer-events: none;
  animation: float 2s ease-in-out infinite;

}

@keyframes float {
  0%   { transform: translateY(0); }
  50%  { transform: translateY(-6px); }
  100% { transform: translateY(0); }
}


.mainpic {
  width: 750px;
  height: 450px;
  object-fit: cover;
  border: 2px solid #ccc;
  display: block;
  margin: 0 auto 10px;
}

.thumbs {
  display: flex;
  justify-content: center;
  gap: 8px;
}

.thumbs img {
  width: 70px;
  height: 50px;
  object-fit: cover;
  cursor: pointer;
  border: 2px solid transparent;

}

.thumbs img:hover {
  border-color: #333;
}

.slider {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  width: 900px;
  margin: 0 auto;
  margin-top: 80px;
}

.arrow {
  display: flex;
  top: 60%;
  transform: translateY(5px);
  font-size: 60px;
  background: none;
  border: none;
  cursor: pointer;
  color: #B94047;
  padding: 0;
  margin: 0;
  opacity: 0.7;
  transition: 0.2s;

}

.arrow:hover {
  transform: translateY(5px) scale(1.2);
}

.arrow:first-of-type {
  left: 10px;
}

.arrow:last-of-type {
  right: 10px;
}

.modal {
  display: none;
  position: fixed;
  z-index: 999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.8);
  justify-content: center;
  align-items: center;
}

.modal-content {
  max-width: 90%;
  max-height: 90%;
}


.under{
  color: #B94047;
  font-size:42px;
  text-align: center;
  animation:blinking 4.5s linear infinite forwards;
}
@keyframes blinking{
	0%{
		opacity:0;
	}
	40%{
		opacity:1;
	}
	80%{
		opacity:0;
	}
	100%{
		opacity:0;
	}
}
